# Yahoo! UI Library

### TreeView Widget 2.5.2

Yahoo! UI Library > treeview > YAHOO.widget.TVFadeIn

Show Private Show Protected

## Class YAHOO.widget.TVFadeIn

A 1/2 second fade-in animation.

### Constructor

YAHOO.widget.TVFadeIn `( el , callback )`

Parameters:
  `el <HTMLElement>` the element to animate
  `callback <function>` function to invoke when the animation is finished

### Properties

#### callback `- function`

the callback to invoke when the animation is complete

#### el `- HTMLElement`

The element to animate

### Methods

#### animate

`void animate ( )`
Performs the animation

Returns: `void`

#### onComplete

`void onComplete ( )`
Clean up and invoke callback

Returns: `void`

#### toString

`string toString ( )`
toString

Returns: `string`
  the string representation of the instance

Copyright © 2007 Yahoo! Inc. All rights reserved.